Generate Token
Access Control
Generate Token
POST
Generate Token
Use this API to generate authentication JWT token for users to access Velt features. The token contains user information and permissions for specific resources like organizations, folders and documents.Documentation Index
Fetch the complete documentation index at: https://velt-v5-0-2-beta-28.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Within
permissions.resources[], use accessRole to assign viewer (read-only) or editor (read/write) for each resource.Access Control
- Set
accessRoletoviewer(read-only) oreditor(read/write) on each resource to define the user’s capabilities for that resource. accessRolecan only be set via the v2 Users and Auth Permissions REST APIs. Frontend SDK methods do not accept or changeaccessRole.- Relevant endpoints:
/v2/users/add,/v2/users/update,/v2/auth/permissions/add,/v2/auth/generate_token. - See the Access Control overview for concepts and detailed guidance.
- JWT token expires in 48 hours.
- You can specify permissions for different resource types (organization, folder, document)
Endpoint
POST https://api.velt.dev/v2/auth/generate_token
Headers
Your API key.
Your Auth Token.

